Bug 488554 - udev complains many times "ressize 2048 too short" in a boot sequence
udev complains many times "ressize 2048 too short" in a boot sequence
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 15:05 EST by Michal Jaegermann
Modified: 2009-04-07 13:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 652318 (view as bug list)
Environment:
Last Closed: 2009-04-01 09:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
gzipped fragment of log with udevd debug ouput (114.55 KB, application/octet-stream)
2009-03-05 14:52 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2009-03-04 15:05:08 EST
Description of problem:

The following show up while booting:

Starting udev: udevd-event[964]: ressize 2048 too short

udevd-event[1245]: ressize 2048 too short

udevd-event[1207]: ressize 2048 too short

udevd-event[1239]: ressize 2048 too short

udevd-event[1230]: ressize 2048 too short

udevd-event[1206]: ressize 2048 too short

udevd-event[1252]: ressize 2048 too short

udevd-event[1258]: ressize 2048 too short

udevd-event[1241]: ressize 2048 too short

udevd-event[1264]: ressize 2048 too short

udevd-event[1247]: ressize 2048 too short

udevd-event[1243]: ressize 2048 too short

udevd-event[1250]: ressize 2048 too short

udevd-event[1222]: ressize 2048 too short

udevd-event[1236]: ressize 2048 too short

udevd-event[1231]: ressize 2048 too short


There is few more of these interspersed with other boot messages but a machnine boots anyway despite of these complaints.

Version-Release number of selected component (if applicable):
udev-139-1.fc11.x86_64
udev-139-2.fc11.x86_64

How reproducible:
On every boot

Additional info:
As an udev update done nothing to the issue and messages show up with any kernel which I have here on hands a timeline suggests that actually an update to udev-extras-20090226-0.5.20090302git.fc11.x86_64 triggered those.
Comment 1 Harald Hoyer 2009-03-05 03:05:53 EST
a rule calls a program which outputs more than 2048 chars. can you identify which rule that is?

turn on logging:
# udevadm control --log-priority=debug

and retrigger
# udevadm trigger

then we can identify the rule, which is causing this
Comment 2 Michal Jaegermann 2009-03-05 14:52:24 EST
Created attachment 334197 [details]
gzipped fragment of log with udevd debug ouput

> ... and retrigger

It is not really clear to me what triggers these "too short" messages.  Apparently runs of /lib/udev/devkit-disks-part-id.  There are seventeen instances of such things in the attached.  But there are also recorded attempts to compare strings with something with non-printable bytes in it.   I guess you better have a closer look.

It is compressed as in full size this runs to 1.8 Meg and due to mentioned unprintables this is not a text anyway.
Comment 3 Harald Hoyer 2009-03-06 03:18:31 EST
reassigning to DeviceKit-disks

Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_MEDIA_AVAILABLE=1'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_SCHEME=mbr'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_COUNT=15'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P1_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P1_OFFSET=32256'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P1_SIZE=106896384'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P1_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P1_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P1_FLAGS=boot'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P2_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P2_OFFSET=106928640'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P2_SIZE=10733990400'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P2_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P2_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P2_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P3_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P3_OFFSET=10840919040'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P3_SIZE=4293596160'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P3_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P3_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P3_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P4_TYPE=0x0f'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P4_OFFSET=15134515200'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P4_SIZE=64889233920'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P4_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P4_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P4_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P5_TYPE=0x82'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P5_OFFSET=15134547456'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P5_SIZE=1077479424'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P5_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P5_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P5_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P6_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P6_OFFSET=16212059136'
Mar  5 12:17:31 dyna0 udevd-event[3258]: passed -1 bytes to monitor 0xf4a670, 
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P6_SIZE=625089024'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P6_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P6_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P6_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P7_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3258]: passed -1 bytes to monitor 0xf4a670, 
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P7_OFFSET=16837180416'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P7_SIZE=8710539264'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P7_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P7_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3258]: seq 1398 exit with 0
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P7_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'Entering MS-DOS parser (offset=0, size=80026361856)'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'looking at part 0 (offset 32256, size 106896384, type 0x83)'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'new part entry'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'looking at part 1 (offset 106928640, size 10733990400, type 0x83)'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'new part entry'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'looking at part 2 (offset 10840919040, size 4293596160, type 0x83)'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'new part entry'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'looking at part 3 (offset 15134515200, size 64889233920, type 0x0f)'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'Entering MS-DOS extended parser (offset=15134515200, size=64889233920)'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 15134515200'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 16212026880'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 16837148160'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 25547719680'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 25654648320'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 32843543040'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 32950471680'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 33978631680'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 39983086080'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 42039406080'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'readfrom = 45115660800'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS_MAGIC found'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'Exiting MS-DOS extended parser'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'Exiting MS-DOS parser'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stderr) 'MSDOS partition table detected'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) '_P8_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P8_OFFSET=25547751936'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P8_SIZE=106896384'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P8_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P8_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P8_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P9_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P9_OFFSET=25654680576'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P9_SIZE=7188862464'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P9_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P9_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P9_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P10_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P10_OFFSET=32843575296'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P10_SIZE=106896384'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P10_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P10_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P10_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P11_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P11_OFFSET=32950503936'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P11_SIZE=1028127744'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P11_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P11_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P11_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P12_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P12_OFFSET=33978663936'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P12_SIZE=6004422144'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P12_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P12_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P12_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P13_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P13_OFFSET=39983118336'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P13_SIZE=2056287744'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P13_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P13_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P13_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P14_TYPE=0x83'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P14_OFFSET=42039438336'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P14_SIZE=3076222464'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P14_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P14_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P14_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P15_TYPE=0x8e'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P15_OFFSET=4'
Mar  5 12:17:31 dyna0 udevd-event[3213]: ressize 2048 too short
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) '5115693056'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P15_SIZE=34908056064'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P15_LABEL='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P15_UUID='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_P15_FLAGS='
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' (stdout) 'DKD_PART_MAX_NUMBER=15'
Mar  5 12:17:31 dyna0 udevd-event[3213]: '/lib/udev/devkit-disks-part-id' returned with status 0
Comment 4 David Zeuthen 2009-03-06 14:35:21 EST
Probably wouldn't hurt to rework devkit-disks-part-id to use tab separated values. Would also make udevadm info output a bit less cluttered, I'll look into that.

(Wouldn't hurt either to grow the 2k buffer in udev... except if it's that way because 2kb is the sweet spot when dealing with big iron boxen. I don't know.)
Comment 5 David Zeuthen 2009-03-30 13:16:05 EDT
I talked to the udev maintainer and for now we're just going to fix that bug there. Down the road the kernel will export all this crap in sysfs anyway.

Harald, please apply this patch to the F11 udev packages

http://git.kernel.org/?p=linux/hotplug/udev.git;a=commitdiff;h=52761bb0a99cb80ccb19c9edf23963fdad67060d;hp=f2b937440c682bca3837263a1bafd78e30b17e4d

Thanks.
Comment 6 Harald Hoyer 2009-04-01 09:37:54 EDT
fixed in udev-139-4
Comment 7 David Zeuthen 2009-04-07 13:22:44 EDT
Also fixed in latest DeviceKit-disks by completely reworking what we put into the udev database (at max 7 short keys instead of num_partitions*5).. so given enough minor space (I think it's capped at 255 in current kernels) we should be able to support any number of partitions; here's a screenshot of 17 partitions

http://people.freedesktop.org/~david/many-partitions.png

Have fun partitioning!

Note You need to log in before you can comment on or make changes to this bug.